Subject: [os2genau_digest] No. 853
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 11 May 2004 00:01:09 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Monday 10 May 2004
 Number  853
**************************************************

Subjects for today
 
1  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector : John Angelico" <talldad at kepl dot com dot au>
2  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector : John Angelico" <talldad at kepl dot com dot au>
3  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector : brianb at kdfisher dot com dot au
4  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector : Ed Durrant <edurrant at bigpond dot net dot au>
5  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector : Ed Durrant <edurrant at bigpond dot net dot au>
6  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector : Daryl Pilkington <u3232 at home.dialix dot com>
7  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector : John Angelico" <talldad at kepl dot com dot au>

**= Email   1 ==========================**

Date:  Mon, 10 May 2004 11:03:47 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector

On Sun, 9 May 2004 16:55:26 +1030, brianb at kdfisher dot com dot au wrote:

>
>John,
>Hi. I have a disfunctional TP390E, the display is cactus,
>and was using an IBM etherjet NIC in it.
>I found that the autodetect settings in protocol.ini did not work
>and I needed to set all the parameters manually, ie ethernet speed etc
>This may be you problem.

Thanks for the clue, Brian.

Can you recall where and how you did that, please? 

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... Internet Lie #2: The Internet is simple and easy to use.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Mon, 10 May 2004 11:15:11 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector

On Sun, 09 May 2004 08:16:38 +1000, Ed Durrant wrote:

>Hi John,

Hi Ed.

>  What is the key point here is the capabilities of the ethernet card you are using. I'm
>sure you stipuluated it in an earlier e-mail but perhaps, you can tell me again exactly
>which card this is. 

It's an IBM EtherJet 10/100 PCCard with special connector for both coax and
RJ45 cables, but only one is usable at a time, of course. (Wouldn't it be
lovely if it was a mini hub?<g>) 

>Doesn'y the TP 390 have onboard ethernet anyway ?? 

Hmm, don't know - no dox. There is what appears to be either a modem
connection or RJ-45 (suspect modem because of internal BIOS setting for
"Modem for Legacy OS"), but haven't found a 10-Base-T connector for coax,
which we use here.

>I used to have a
>390 but I can't remember, was it only from the i series onwards that ethernet came as
>standard ??
>
>You don't need a separate driver for point enabled. setting the switch on the socket
>services driver is all that you need to do. 

Is that a parameter on the IBMSS14 entry or on PCMCIA.SYS?  

>Since this also disables socket services for
>this slot, autodrv2 is no longer used. 

That would be nice. Compact Flash Card doesn't need it but hot-swapping is
very useful.

>Protocol.ini wont have the parameters fo IO, IRQ
>etc. unless you add them. The safest way being to do this through MPTS.

Yes, found that.

>As I said, how to get the card working depends on the card. You may want to go and check
>what is needed at http://www.os2warp.be where Jonas has collected all relevant data.

Have found it difficult to navigate Jonas' site so far, but will try again.

Best regards
John Angelico
OS/2 SIG
talldad at kepl dot com dot au
________________________

>
>John Angelico wrote:
>
>> On Sat, 08 May 2004 13:52:34 +1000, Ed Durrant wrote:
>>
>> Hi Ed, and thanks for the idea, but Point enabled didn't seem to be an issue
>> with the 760EL under eCS1.0x, so I hadn't worried about it here.
>>
>> Tried it though with both CS20JET.EXE and POINTJET.EXE but to no avail. eCS
>> boot sequence didn't get as far as loading the DEVICE= POINTJET.EXE before
>> the other entries (mostly BASEDEVs) were processed. The docs say that it must
>> be loaded first.
>>
>> As I recall Point enabled, it seems to be an alternative to using card and
>> socket services, which I understand to be supplied by PC Card Director or at
>> least the config.sys lines:
>>
>> BASEDEV=PCMCIA.SYS
>> BASEDEV=IBM2SS14.SYS
>> BASEDEV=AUTODRV2.SYS
>> DEVICE=C:\TPTOOLS\VPCMCIA.SYS
>> DEVICE=C:\TPTOOLS\PCMSSDIF.SYS
>> DEVICE=C:\TPTOOLS\PCM2SRAM.SYS
>> DEVICE=C:\TPTOOLS\FLSH2MTD.SYS
>> DEVICE=C:\TPTOOLS\PCM2FLSH.SYS
>> BASEDEV=PCM2ATA.ADD /S:2 /!DM /NOBEEP
>>
>> >Often (as documented in the socket services package) network cards are point enabled.
>> >This means you need to set the switch so that socket services ignores the slot you
>> >elect to put the card in. As long as your I/O and IRQ settings are correct in
>> >protocol.ini, the card will then normally work.
>>
>> This is the difficult area. Protocol.ini has settings (which I reported prev
>> as Memory Address 5B80 0000 IO Address F500 IRQ 5) but has no provision for
>> the kinds of IO and Memory addresses shown in the docs. The only place I see
>> those (200 to 360, and D0000 to D4000) is in the Script files for AutoDrv2
>> hot-swapping.
>>
>> <sigh> so I still don't know what I am doing wrong on the 390E.
>>
>> Best regards
>> John Angelico
>> OS/2 SIG
>> os2 at melbpc dot org dot au or
>> talldad at kepl dot com dot au
>> ___________________
>>
>> PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
>> ... That's fine in practice, but it'll never work in theory.
>
>>  
>
>

> 

>
>

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Mon, 10 May 2004 15:21:11 +1030
From:  brianb at kdfisher dot com dot au
Subject:  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector

John,
I will hang the TP390 off a monitor so I can acces the protocol.ini file to
refresh my memory.
Might be a couple of days before I get time though.

-----------------------------------------
Brian Butler
System Administrator
brianb at kdfisher dot com dot au

                                                                                                                                 
                      "John Angelico"                                                                                            
                      <talldad at kepl dot com        To:       "os2genau at os2 dot org dot au" <os2genau at os2 dot org dot au>                             
                      .au>                     cc:                                                                               
                                               Subject:  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector      
                      10/05/2004 10:33                                                                                           
                      Please respond to                                                                                          
                      os2genau                                                                                                   

On Sun, 9 May 2004 16:55:26 +1030, brianb at kdfisher dot com dot au wrote:

>
>John,
>Hi. I have a disfunctional TP390E, the display is cactus,
>and was using an IBM etherjet NIC in it.
>I found that the autodetect settings in protocol.ini did not work
>and I needed to set all the parameters manually, ie ethernet speed etc
>This may be you problem.

Thanks for the clue, Brian.

Can you recall where and how you did that, please?

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... Internet Lie #2: The Internet is simple and easy to use.
----------------------------------------------------------------------------------

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Mon, 10 May 2004 19:34:52 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector

Here's the section you need in your protocol.ini

[IBMEXNDI_nif]

Drivername = IBMEXN$
IOBASEADDRESS = 0x300
IRQ = 10

(obviously you'll need to adjust the values)

Cheers/2

Ed.

John Angelico wrote:

> On Sun, 9 May 2004 16:55:26 +1030, brianb at kdfisher dot com dot au wrote:
>
> >
> >John,
> >Hi. I have a disfunctional TP390E, the display is cactus,
> >and was using an IBM etherjet NIC in it.
> >I found that the autodetect settings in protocol.ini did not work
> >and I needed to set all the parameters manually, ie ethernet speed etc
> >This may be you problem.
>
> Thanks for the clue, Brian.
>
> Can you recall where and how you did that, please?
>
> Best regards
> John Angelico
> OS/2 SIG
> os2 at melbpc dot org dot au or
> talldad at kepl dot com dot au
> ___________________
>
> PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
> ... Internet Lie #2: The Internet is simple and easy to use.

>  

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Mon, 10 May 2004 20:13:39 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector

Comments interspersed:

John Angelico wrote:
   
> On Sun, 09 May 2004 08:16:38 +1000, Ed Durrant wrote:
>
> >Hi John,
>
> Hi Ed.
>
> >  What is the key point here is the capabilities of the ethernet card you are using. I'm
> >sure you stipuluated it in an earlier e-mail but perhaps, you can tell me again exactly
> >which card this is.
>
> It's an IBM EtherJet 10/100 PCCard with special connector for both coax and
> RJ45 cables, but only one is usable at a time, of course. (Wouldn't it be
> lovely if it was a mini hub?<g>)
>

   I think - if this is a PCMCIA, not a cardbus card, that
this is a 10MB/s not 10/100 card -
especially if it has a "cheapernet" connection (the BNC coax
one). At best those just about
managed 10 Mb/s on a good day.

>
> >Doesn'y the TP 390 have onboard ethernet anyway ??
>
> Hmm, don't know - no dox. There is what appears to be either a modem
> connection or RJ-45 (suspect modem because of internal BIOS setting for
> "Modem for Legacy OS"), but haven't found a 10-Base-T connector for coax,
> which we use here.
>

   Here's a link to the manuals for the Thinkpad 390:

http://www-307.ibm dot com/pc/support/site.wss/product.do?doctypeind=8&doccategoryind=0&operatingsystemind=49979&template=%2Fproductpage%2Flandingpages%2FproductPageLandingPage.vm&brandind=10&familyind=50136&machineind=0&modelind=0&partnumberind=0&subcategoryind=0&validate=true

>
> >I used to have a
> >390 but I can't remember, was it only from the i series onwards that ethernet came as
> >standard ??

 There's no built in Ethernet on the TP390 unfortunately.
>
> >You don't need a separate driver for point enabled. setting the switch on the socket
> >services driver is all that you need to do.
>
> Is that a parameter on the IBMSS14 entry or on PCMCIA.SYS?
>
> >Since this also disables socket services for
> >this slot, autodrv2 is no longer used.
>
> That would be nice. Compact Flash Card doesn't need it but hot-swapping is
> very useful.
>
> >Protocol.ini wont have the parameters fo IO, IRQ
> >etc. unless you add them. The safest way being to do this through MPTS.
>
> Yes, found that.
>
> >As I said, how to get the card working depends on the card. You may want to go and check
> >what is needed at http://www.os2warp.be where Jonas has collected all relevant data.
>
> Have found it difficult to navigate Jonas' site so far, but will try again.
>
> Best regards
> John Angelico
> OS/2 SIG
> talldad at kepl dot com dot au
> ________________________
>
> >
> >John Angelico wrote:
> >
> >> On Sat, 08 May 2004 13:52:34 +1000, Ed Durrant wrote:
> >>
> >> Hi Ed, and thanks for the idea, but Point enabled didn't seem to be an issue
> >> with the 760EL under eCS1.0x, so I hadn't worried about it here.
> >>
> >> Tried it though with both CS20JET.EXE and POINTJET.EXE but to no avail. eCS
> >> boot sequence didn't get as far as loading the DEVICE= POINTJET.EXE before
> >> the other entries (mostly BASEDEVs) were processed. The docs say that it must
> >> be loaded first.
> >>
> >> As I recall Point enabled, it seems to be an alternative to using card and
> >> socket services, which I understand to be supplied by PC Card Director or at
> >> least the config.sys lines:
> >>
> >> BASEDEV=PCMCIA.SYS
> >> BASEDEV=IBM2SS14.SYS
> >> BASEDEV=AUTODRV2.SYS
> >> DEVICE=C:\TPTOOLS\VPCMCIA.SYS
> >> DEVICE=C:\TPTOOLS\PCMSSDIF.SYS
> >> DEVICE=C:\TPTOOLS\PCM2SRAM.SYS
> >> DEVICE=C:\TPTOOLS\FLSH2MTD.SYS
> >> DEVICE=C:\TPTOOLS\PCM2FLSH.SYS
> >> BASEDEV=PCM2ATA.ADD /S:2 /!DM /NOBEEP
> >>
> >> >Often (as documented in the socket services package) network cards are point enabled.
> >> >This means you need to set the switch so that socket services ignores the slot you
> >> >elect to put the card in. As long as your I/O and IRQ settings are correct in
> >> >protocol.ini, the card will then normally work.
> >>
> >> This is the difficult area. Protocol.ini has settings (which I reported prev
> >> as Memory Address 5B80 0000 IO Address F500 IRQ 5) but has no provision for
> >> the kinds of IO and Memory addresses shown in the docs. The only place I see
> >> those (200 to 360, and D0000 to D4000) is in the Script files for AutoDrv2
> >> hot-swapping.
> >>
> >> <sigh> so I still don't know what I am doing wrong on the 390E.
> >>
> >> Best regards
> >> John Angelico
> >> OS/2 SIG
> >> os2 at melbpc dot org dot au or
> >> talldad at kepl dot com dot au
> >> ___________________
> >>
> >> PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
> >> ... That's fine in practice, but it'll never work in theory.
> >
> >>  
> >
> >

> > 

> >
> >
>

>  

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Mon, 10 May 2004 21:17:42 +1000
From:  Daryl Pilkington <u3232 at home.dialix dot com>
Subject:  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector

John Angelico wrote:
> On Sun, 9 May 2004 16:55:26 +1030, brianb at kdfisher dot com dot au wrote:
> 
> 
>>John,
>>Hi. I have a disfunctional TP390E, the display is cactus,
>>and was using an IBM etherjet NIC in it.
>>I found that the autodetect settings in protocol.ini did not work
>>and I needed to set all the parameters manually, ie ethernet speed etc
>>This may be you problem.
> 
> 
> Thanks for the clue, Brian.
> 
> Can you recall where and how you did that, please? 
Hi John,
The easiest way to modify protocol.ini is using MPTS GUI utility.

You only have to hand-code protocol.ini if the NIC driver *.nif file 
doesn't have the information that MPTS uses to guide you through this 
process. Xircom point-enabled cards used to have this problem, but 
Xircom updated the *.nif file so it could all be done using MPTS. The 
actual *.os2 driver file was unchanged, however.

Brian can tell you what parameters to use.
----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Mon, 10 May 2004 22:32:57 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  [nb2discuss] Thinkpads Etherjet and PC CardDirector

On Mon, 10 May 2004 20:13:39 +1000, Ed Durrant wrote:

>Comments interspersed:

Replies ditto

>
>John Angelico wrote:
>   
>> On Sun, 09 May 2004 08:16:38 +1000, Ed Durrant wrote:
>>
>> >Hi John,
>>
>> Hi Ed.
>>
>> >  What is the key point here is the capabilities of the ethernet card you are using. I'm
>> >sure you stipuluated it in an earlier e-mail but perhaps, you can tell me again exactly
>> >which card this is.
>>
>> It's an IBM EtherJet 10/100 PCCard with special connector for both coax and
>> RJ45 cables, but only one is usable at a time, of course. (Wouldn't it be
>> lovely if it was a mini hub?<g>)
>>
>
>   I think - if this is a PCMCIA, not a cardbus card, that
>this is a 10MB/s not 10/100 card -
>especially if it has a "cheapernet" connection (the BNC coax
>one). At best those just about
>managed 10 Mb/s on a good day.

Yes, no panic. Small home network, 3-4 machines, rarely saturated even when
doing backups. Coax cable wired under the floor - I have little interest in
advancing to Cat 5 cable...<g>

>
>>
>> >Doesn'y the TP 390 have onboard ethernet anyway ??
>>
>> Hmm, don't know - no dox. There is what appears to be either a modem
>> connection or RJ-45 (suspect modem because of internal BIOS setting for
>> "Modem for Legacy OS"), but haven't found a 10-Base-T connector for coax,
>> which we use here.
>>
>
>   Here's a link to the manuals for the Thinkpad 390:
>
>http://www-307.ibm dot com/pc/support/site.wss/product.do?doctypeind=8&doccategoryind=0&operatingsystemind=49979&template=%2Fproductpage%2Flandingpages%2FproductPageLandingPage.vm&brandind=10&familyind=50136&machineind=0&modelind=0&partnumberind=0&subcategoryind=0&validate=true

Thank you. Last time I was there I didn't see the regular manuals... must get
my eyes checked <g>

>
>
>>
>> >I used to have a
>> >390 but I can't remember, was it only from the i series onwards that ethernet came as
>> >standard ??
>
> There's no built in Ethernet on the TP390 unfortunately.

Theoretically not a worry. With current problems I may have to revise that to
the level of a non-core political promise. 

Your previous comment in a separate email:
>Here's the section you need in your protocol.ini
>
>[IBMEXNDI_nif]
>
>Drivername = IBMEXN$
>IOBASEADDRESS = 0x300
>IRQ = 10

(obviously you'll need to adjust the values)

We used 0x200 and IRQ 3 to no avail.

Still get the message "no card was found in the selected socket" 

It's impossible to distinguish between a card out of the socket by operator
removal and a failure to detect.

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... Computers eliminate spare time.
----------------------------------------------------------------------------------